body {
  margin: 0px;
  padding: 0px;
}

.container {
  display: flex;
  gap: 2px;
  background-color: #bdd2ff;
  margin: 0px;
  height: 100vh;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji';
}

.body-container {
  flex: 2;
  flex-grow: 2;
  position: relative;
}

.body {
  height: 100%;
  background-color: #212132;
  color: #bdd2ff;
  padding-left: 50px;
  padding-right: 100px;
  overflow-y: auto;
  padding-bottom: 100px;
  box-sizing: border-box;
  font-size: 15px;
  line-height: 1.4;
}

.navbar {
  flex: 1;
  flex-grow: 1;
  max-width: fit-content;
  background-color: #323243;
  color: #bdd2ff;
  font-size: 18px;
  line-height: 1.6;
  padding-top: 20px;
  padding-left: 5px;
  padding-right: 25px;
  padding-bottom: 20px;
  overflow-y: auto;
}

pre {
  padding: 0px;
}

code {
  background-color: #181828;
  color: #dddddd;
  padding-left: 3px;
  padding-right: 3px;
  padding-bottom: -1px;
  border-radius: 7px;
  margin: 0px;
  font-family: "JetBrains Mono", "Courier New", monospace;
  font-variant-ligatures: none;
  display: inline-block;
}

.navbar-nest {
  display: block;
  padding-left: 20px;
}

.navbar-dropdown-wrapper {
  display: flex;
  gap: 5px;
  align-items: center;
  position: relative;
}

.navbar-dropdown {
  position: relative;
  display: inline-block;
}

.navbar-dropdown-content {
  position: absolute;
  pointer-events: none;
  top: 100%;
  left: 0;
  opacity: 0;
  transform: translateY(-10px);
  transition: transform 0.3s ease;
  z-index: 10;
  padding-bottom: 20px;
}

@keyframes easeThenJump {
  0% {
    transform: translateY(-100);
    animation-timing-function: step-start;
  }
  1% {
    transform: translateY(-10);
  }
  100% {
    transform: translateY(0);
    animation-timing-function: ease-in-out;
  }
}

.navbar-dropdown-content.show {
  visibility: visible;
  display: block;
  pointer-events: all;
  opacity: 1;
  transform: translateY(0);
  transition: transform 0.3s ease;
}

.navbar-dropdown-toggle-button {
  transition: transform 0.3s ease;
  border: none;
  background: none;
  outline: none;
  cursor: pointer;
  font-size: 25px;
  font-family: monospace;
  color: #bdd2ff;
  transform: translateY(1px);
}

.navbar-dropdown-toggle-button.show {
  cursor: pointer;
  transform: translateY(1px) rotate(90deg);
}

.navbar-link {
  color: #bdd2ff;
  text-decoration: none;
}

.navbar-link:hover {
  color: #bbbbdd;
}

.navbar-link:active {
  color: #ababcd;
}

.navbar-link.current {
  color: #2277ff;
}

a {
  color: #dddddd;
}

a:hover {
  color: #bbbbdd;
}

a:active {
  color: #ababcd;
}

.navbutton {
  width: 40px;
  height: 40px;
  font-size: 30px;
  color: #bdd2ff;
  background-color: #323243;
  border: none;
  outline: none;
  position: absolute;
  bottom: 35px;
}

.navbutton:hover {
  background-color: #292939;
}

.navbutton-left {
  left: 40px;
}

.navbutton-right {
  right: 40px;
}
